import { axios } from '@/utils/request'

// 列表
export const getDeliveryLogList = (params) => {
  const url = `deliveryLog/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportDeliveryLog = (params) => {
  return axios.request({
    url: 'deliveryLog/exportDeliveryLog',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 合计
export const getDeliveryLogTotal = (params) => {
  const url = `deliveryLog/total`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 统计-网点列表（过滤掉电子秤）
export const stationListName = params => {
  return axios.request({
    url: `/station/queryStationList`,
    method: 'post',
    data: params
  })
}

// 网点列表
export const stationList = params => {
  return axios.request({
    url: `/station/queryList`,
    method: 'post',
    data: {}
  })
}
